Bug 430495 - The order of lines in Kickstart -> Profiles -> profile -> Software -> Package Groups changes, not sorted
The order of lines in Kickstart -> Profiles -> profile -> Software -> Package...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Partha Aji
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2008-01-28 09:29 EST by Jan Pazdziora
Modified: 2010-10-22 18:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:21:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-01-28 09:29:04 EST
Description of problem:

The list of packages and package groups in the textarea in 

    Kickstart -> Profiles -> profile -> Software -> Package Groups

gets changed when the "Update Packages" button is hit. But it's not completely
sorted.

Version-Release number of selected component (if applicable):

Satellite 5.1.0.

How reproducible:

Not really deterministic, but happens often enough.

Steps to Reproduce:
1. Create a kickstart profile.
2. Go to Software -> Package Groups.
3. Enter "@ Base", hit "Update Packages"
4. Append "@ Graphics" to the next line, hit "Update Packages"
  
Actual results:

@ Graphics
@ Base

Expected results:

@ Base
@ Graphics

Additional info:

The ordering of those lines seems to change but it's more kind of random
reshuffling than ordering. We should either keep the list of lines untouched, or
sort them correctly.
Comment 2 Mike McCune 2009-03-31 13:00:14 EDT
I just tested this and it no longer changes the order.
Comment 3 Steve Salevan 2009-04-14 17:47:19 EDT
Tested and verified that the order is no longer changed when the user clicks the Update Packages button.  Moving to VERIFIED, tested on 530-re20090413.0.
Comment 4 Preethi Thomas 2009-08-04 08:09:39 EDT
Release Pending
test1182.test.redhat.com
Comment 5 Brandon Perkins 2009-09-10 15:21:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.